import { runFunction as r } from "../../utils/index.mjs";
function u(o, t, e) {
  return o === !0 ? t : r(o, t, e);
}
function c(o) {
  const t = Object.keys(o);
  for (const e of t)
    o[e] = null;
}
function i(o, t) {
  c(o);
  const e = Object.keys(t);
  for (const n of e)
    t[n] != null && (o[n] = t[n]);
}
export {
  u as genParams,
  i as setToParams
};
